<template>
  <div>
    <nav
      class="navbar header has-shadow is-primary menutop"
      role="navigation"
      aria-label="main navigation"
    >
      <div class="navbar-brand">
        <a
          class="navbar-item"
          href="/"
        >
          <img
            src="~assets/logo1.png"
            alt="Digi dinos"
            height="70"
          > 
          <h2>DIGI DINOS</h2>
        </a>

        <div class="navbar-burger">
          <span />
          <span />
          <span />
        </div>
      </div>
    </nav>

    <section class="main-content columns">
      <aside class="column is-2 section">
        <p class="menu-label is-hidden-touch">
          GENERAL
        </p>
        <ul class="menu-list">
          <li
            v-for="(item, key) of items"
            :key="key"
          >
            <nuxt-link
              :to="item.to"
              exact-active-class="is-active"
            >
              <b-icon :icon="item.icon" /> {{ item.title }}
            </nuxt-link>
          </li>
        </ul>
      </aside>

      <div class="container column is-10">
        <nuxt />
      </div>
    </section>
  </div>
</template>

<script>
export default {
  data() {
    return {
      items: [
        {
          title: 'List',
          icon: 'format-list-bulleted',
          to: { name: 'index' }
        },
        {
          title: 'New',
          icon: 'new-box',
          to: { name: 'new' }
        },
        {
          title:'Search',
          icon:'search-web',
          to: { name: 'search'}
        },
         {
          title:'Edit',
          icon:'account-edit',
          to: { name: 'edit'}
        }
      ]
    }
  }
}
</script>
<style scoped>
.menutop{
  height: 100px;
}
img{
  width: 70px;;
}
.menutop a{
  height: 100px;
  width: 600px;
}
h2{
  font-size: 50px
}
</style>
